Summary:		Python bindings for GNU parted
Name:			pyparted
Version:		3.13.0
Release:		3%{?dist}
License:		GPLv2+
URL:			https://github.com/dcantrell/pyparted
Source0:		https://github.com/dcantrell/pyparted/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	make gcc pkgconfig
BuildRequires:	parted-devel >= 3.3
BuildRequires:	e2fsprogs
BuildRequires:	python3-devel python3-six python3-setuptools

%description 
pyparted is a set of native Python bindings for libparted. libparted 
is the library portion of the GNU parted project. With pyparted, you 
can write applications that interact with disk partition tables and 
filesystems.

%package -n python3-pyparted
Summary:		Python bindings for GNU parted

%description -n python3-pyparted
pyparted is a set of native Python bindings for libparted. libparted 
is the library portion of the GNU parted project. With pyparted, you 
can write applications that interact with disk partition tables and 
filesystems.

%prep
%autosetup -p1

mkdir -p py3dir
cp -ar $(ls | grep -v "^py3dir$") py3dir

%build
pushd py3dir
%make_build PYTHON=%{__python3} CFLAGS="%{optflags} -fcommon"
popd

%check
pushd py3dir
make PYTHON=%{__python3} test
popd

%install
pushd py3dir
PYTHON=python3 %make_install
popd

%files -n python3-pyparted
%license LICENSE
%doc AUTHORS NEWS README.md TODO
%{python3_sitearch}/_ped.*.so
%{python3_sitearch}/parted
%{python3_sitearch}/%{name}-%{version}-*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.13.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.13.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Miaojun Dong <zoedong@tencent.com> - 3.13.0-1
- Bump version to 3.13.0

* Thu Aug 17 2023 Miaojun Dong <zoedong@tencent.com> - 3.12.0-4
- Rebuild for parted-3.6

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 14 2022 Xiaojie Chen <jackxjchen@tencent.com> - 3.12.0-1
- Initial build
